Payment batches & settlement

Get Schedule Settlements By Tax Reference

Name and signature indicate it gets schedule settlements by tax reference

GEThttps://api.toku.com/tga/get-schedule-settlements-by-tax-reference

Required scope: payments:read. It also needs banking:read, compensation:read.

curl --request GET \
  --url 'https://api.toku.com/tga/get-schedule-settlements-by-tax-reference?taxReferenceID=%3CtaxReferenceID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "transactions": [
    {
      "transactionID": "string",
      "providerName": "SAFE",
      "status": "QUEUED",
      "providerTransactionID": "string",
      "transactionHash": "string",
      "explorerUrl": "string",
      "destinationAddress": "string",
      "submittedAmount": "string",
      "sourceCustodyWalletID": "string",
      "isPartial": true,
      "lastStatusChangeAt": "string",
      "createdAt": "string",
      "error": {
        "code": "string",
        "message": "string",
        "httpStatus": 0
      }
    }
  ],
  "count": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

taxReferenceIDstring<uuid>required

Response

200Successful response
transactionsobject[]required
Show child attributes
transactionIDstringrequired
providerNamestringrequired

Available options: SAFE, SAFE_PROPOSER, ANCHORAGE, FIREBLOCKS, SQUADS, COINBASE, FILECOIN_SELF_CUSTODY, FORDEFI, BITGO

statusstringrequired

Available options: QUEUED, PENDING, PENDING_APPROVAL, BROADCASTING, CONFIRMING, COMPLETED, FAILED, CANCELLED, REJECTED

providerTransactionIDstring
transactionHashstring
explorerUrlstring
destinationAddressstringrequired
submittedAmountstring

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$

sourceCustodyWalletIDstring
isPartialboolean
lastStatusChangeAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

errorobject
Show child attributes
codestring
messagestring
httpStatusnumber
countintegerrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits